liblo 0.31

Functions
lo.h File Reference

Go to the source code of this file.

## Functions
lo_address | lo_address_new (const char *host, const char *port)
| Declare an OSC destination, given IP address and port number. Same as lo_address_new_with_proto(), but using UDP. More...
lo_address | lo_address_new_with_proto (int proto, const char *host, const char *port)
| Declare an OSC destination, given IP address and port number, specifying protocol. More...
lo_address | lo_address_new_from_url (const char *url)
| Create a lo_address object from an OSC URL. More...
void | lo_address_free (lo_address t)
| Free the memory used by the lo_address object. More...
void | lo_address_set_ttl (lo_address t, int ttl)
| Set the Time-to-Live value for a given target address. More...
int | lo_address_get_ttl (lo_address t)
| Get the Time-to-Live value for a given target address. More...
int | lo_send (lo_address targ, const char *path, const char *type,...)
| Send a OSC formatted message to the address specified. More...
int | lo_send_from (lo_address targ, lo_server from, lo_timetag ts, const char *path, const char *type,...)
| Send a OSC formatted message to the address specified, from the same socket as the specified server. More...
int | lo_send_timestamped (lo_address targ, lo_timetag ts, const char *path, const char *type,...)
| Send a OSC formatted message to the address specified, scheduled to be dispatch at some time in the future. More...
int | lo_address_errno (lo_address a)
| Return the error number from the last failed lo_send() or lo_address_new() call. More...
const char * | lo_address_errstr (lo_address a)
| Return the error string from the last failed lo_send() or lo_address_new() call. More...
lo_blob | lo_blob_new (int32_t size, const void *data)
| Create a new OSC blob type. More...
void | lo_blob_free (lo_blob b)
| Free the memory taken by a blob. More...
uint32_t | lo_blob_datasize (lo_blob b)
| Return the amount of valid data in a lo_blob object. More...
void * | lo_blob_dataptr (lo_blob b)
| Return a pointer to the start of the blob data to allow contents to be changed. More...
void | lo_version (char *verstr, int verstr_size, int *major, int *minor, char *extra, int extra_size, int *lt_major, int *lt_minor, int *lt_bug)
| Get information on the version of liblo current in use. More...

## Detailed Description

The liblo main headerfile and high-level API functions.

Definition in file lo.h.